Set certificate based remote clusters
- PUT /deployments/{deployment_id}/elasticsearch/{ref_id}/remote-clusters
Overwrites or creates the list of certificate based remote clusters for the elasticsearch resource.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
Request
List of certificate based remote clusters for the resource
-
resourcesRemoteResourceRefrequired -
The remote resources
-
deployment_idstringrequired -
The id of the deployment
-
elasticsearch_ref_idstringrequired -
The locally-unique user-specified id of an Elasticsearch Resource
-
aliasstringrequired -
The alias for this remote cluster. Aliases must only contain letters, digits, dashes and underscores
-
If true, skip this cluster during search if it is disconnected. Default: false
-
infoRemoteResourceInfo -
Information about a Remote Cluster.
-
healthybooleanrequired -
Whether or not the remote cluster is healthy
-
connectedbooleanrequired -
Whether or not there is at least one connection to the remote cluster.
-
compatiblebooleanrequired -
Whether or not the remote cluster version is compatible with this cluster version.
-
trustedbooleanrequired -
Whether or not the remote cluster is trusted by this cluster.
-
trusted_backbooleanrequired -
Whether or not the remote cluster trusts this cluster back.
Responses
The Remote Clusters were updated
Response Type: EmptyResponse
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response